#ifndef _H_CONSOLE
#define _H_CONSOLE

/*
 * console.h
 *
 * Interface between console.c and low-level console device drivers
 * (vga.c, tga.c, etc)
 *
 *  Copyright (C) 1996 Erik Troan
 *	
 */

struct console_desc {
    char * name;
    void (* set_cursor)(int currcons);
    void (* hide_cursor)(void);
    unsigned long (* init)(unsigned long, const char **);
    int (* set_get_cmap)(unsigned char *, int);
    int (* set_get_font)(unsigned char *, int, int);
    void (* get_scrmem)(int currcons);
    void (* vesa_blank)(void);
    void (* vesa_unblank)(void);
    void (* vesa_powerdown)(void);
    void (* set_palette)(void);
    void (* set_scrmem)(int currcons, long offset);
    int (* con_adjust_height)(unsigned long fontheight);
    void (* set_origin)(unsigned short where);
    int (* blitc)(unsigned int charattr, unsigned long addr);
}; 

extern const struct console_desc cons_devices[];
extern int curr_cons;

extern void console_setup (const char * str, int * ints);

#endif
